<?php
/**
 * Blackbird ContentManager Module
 *
 * NOTICE OF LICENSE
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@bird.eu so we can send you a copy immediately.
 *
 * @category        Blackbird
 * @package         Blackbird_ContentManager
 * @copyright       Copyright (c) 2017 Blackbird (https://black.bird.eu)
 * @author          Blackbird Team
 * @license         https://www.advancedcontentmanager.com/license/
 */

namespace Blackbird\ContentManager\Block\Adminhtml\ContentType\Import\Tab;

use Magento\Backend\Block\Widget\Form\Generic;
use Magento\Backend\Block\Widget\Tab\TabInterface;

/**
 * Class Form
 *
 * @package Blackbird\ContentManager\Block\Adminhtml\ContentType\Import\Tab
 */
class Form extends Generic implements TabInterface
{
    /**
     * {@inheritdoc}
     */
    public function getTabLabel()
    {
        return __('Import Content Type');
    }

    /**
     * {@inheritdoc}
     */
    public function getTabTitle()
    {
        return __('Import Content Type');
    }

    /**
     * {@inheritdoc}
     */
    public function canShowTab()
    {
        return true;
    }

    /**
     * {@inheritdoc}
     */
    public function isHidden()
    {
        return false;
    }

    /**
     * {@inheritdoc}
     */
    protected function _prepareForm()
    {
        /** @var \Magento\Framework\Data\Form $form */
        $form = $this->_formFactory->create();
        $form->setHtmlIdPrefix('contenttype_');

        $fieldset = $form->addFieldset(
            'import_contenttype',
            ['legend' => __('Import Content Type')]
        );

        $fieldset->addField(
            'file',
            'file',
            [
                'name' => 'file',
                'label' => __('Import File'),
                'title' => __('Import File'),
                'note' => 'You can import JSON file. Previously exported from the content type edit page. Useful to import/export content type from local to remote server.',
                'required' => true,
            ]
        );

        $this->setForm($form);

        return parent::_prepareForm();
    }
}
